---
name: charges-routes
description: Handle 14 OpenAPI operation(s) under /v1/charges for the charges route group.
---

# charges API Routes

Handle 14 OpenAPI operation(s) under /v1/charges for the charges route group.

Use the generated operation tools to make real API calls. Do not invent API responses.
If a tool reports missing setup, return the exact setup field name to the caller.
For write, update, or delete operations, state the intended action before calling the tool.

## Operations

### get_charges

- Operation ID: `get_charges`
- Route: `GET /v1/charges`
- Mode: READ
- Summary: List all charges
- Parameters:
  - `created` in `query`
  - `customer` in `query`
  - `ending_before` in `query`
  - `expand` in `query`
  - `limit` in `query`
  - `payment_intent` in `query`
  - `starting_after` in `query`
  - `transfer_group` in `query`
- Body: JSON request body accepted.

### post_charges

- Operation ID: `post_charges`
- Route: `POST /v1/charges`
- Mode: WRITE
- Summary: <p>This method is no longer recommended—use the <a href="/docs/api/payment_intents">Payment Intents API</a>
to initiate a new payment instead. Confirmation of the PaymentIntent creates the <code>Charge</code>
object used to request payment.</p>
- Body: JSON request body accepted.

### get_charges_search

- Operation ID: `get_charges_search`
- Route: `GET /v1/charges/search`
- Mode: READ
- Summary: Search charges
- Parameters:
  - `expand` in `query`
  - `limit` in `query`
  - `page` in `query`
  - `query` in `query` required
- Body: JSON request body accepted.

### get_charges_charge

- Operation ID: `get_charges_charge`
- Route: `GET /v1/charges/{charge}`
- Mode: READ
- Summary: Retrieve a charge
- Parameters:
  - `charge` in `path` required
  - `expand` in `query`
- Body: JSON request body accepted.

### post_charges_charge

- Operation ID: `post_charges_charge`
- Route: `POST /v1/charges/{charge}`
- Mode: WRITE
- Summary: Update a charge
- Parameters:
  - `charge` in `path` required
- Body: JSON request body accepted.

### post_charges_charge_capture

- Operation ID: `post_charges_charge_capture`
- Route: `POST /v1/charges/{charge}/capture`
- Mode: WRITE
- Summary: Capture a payment
- Parameters:
  - `charge` in `path` required
- Body: JSON request body accepted.

### get_charges_charge_dispute

- Operation ID: `get_charges_charge_dispute`
- Route: `GET /v1/charges/{charge}/dispute`
- Mode: READ
- Summary: <p>Retrieve a dispute for a specified charge.</p>
- Parameters:
  - `charge` in `path` required
  - `expand` in `query`
- Body: JSON request body accepted.

### post_charges_charge_dispute

- Operation ID: `post_charges_charge_dispute`
- Route: `POST /v1/charges/{charge}/dispute`
- Mode: WRITE
- Summary: PostChargesChargeDispute
- Parameters:
  - `charge` in `path` required
- Body: JSON request body accepted.

### post_charges_charge_dispute_close

- Operation ID: `post_charges_charge_dispute_close`
- Route: `POST /v1/charges/{charge}/dispute/close`
- Mode: WRITE
- Summary: PostChargesChargeDisputeClose
- Parameters:
  - `charge` in `path` required
- Body: JSON request body accepted.

### post_charges_charge_refund

- Operation ID: `post_charges_charge_refund`
- Route: `POST /v1/charges/{charge}/refund`
- Mode: WRITE
- Summary: Create a refund
- Parameters:
  - `charge` in `path` required
- Body: JSON request body accepted.

### get_charges_charge_refunds

- Operation ID: `get_charges_charge_refunds`
- Route: `GET /v1/charges/{charge}/refunds`
- Mode: READ
- Summary: List all refunds
- Parameters:
  - `charge` in `path` required
  - `ending_before` in `query`
  - `expand` in `query`
  - `limit` in `query`
  - `starting_after` in `query`
- Body: JSON request body accepted.

### post_charges_charge_refunds

- Operation ID: `post_charges_charge_refunds`
- Route: `POST /v1/charges/{charge}/refunds`
- Mode: WRITE
- Summary: Create customer balance refund
- Parameters:
  - `charge` in `path` required
- Body: JSON request body accepted.

### get_charges_charge_refunds_refund

- Operation ID: `get_charges_charge_refunds_refund`
- Route: `GET /v1/charges/{charge}/refunds/{refund}`
- Mode: READ
- Summary: <p>Retrieves the details of an existing refund.</p>
- Parameters:
  - `charge` in `path` required
  - `expand` in `query`
  - `refund` in `path` required
- Body: JSON request body accepted.

### post_charges_charge_refunds_refund

- Operation ID: `post_charges_charge_refunds_refund`
- Route: `POST /v1/charges/{charge}/refunds/{refund}`
- Mode: WRITE
- Summary: <p>Update a specified refund.</p>
- Parameters:
  - `charge` in `path` required
  - `refund` in `path` required
- Body: JSON request body accepted.
